Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08064 Graphics Minor Always Aug 27, 2021, 00:32 Apr 15, 2022, 14:36
Tester mmarino4 View Status Public Platform MAME (Official Binary)
Assigned To tedgreen Resolution Fixed OS
Status [?] Resolved Driver vegas.cpp
Version 0.234 Fixed in Version 0.243 Build 64-bit
Fixed in Git Commit 146b317 Github Pull Request #
Summary 08064: gauntleg, gauntleg12, gauntdl, gauntdl24: Screen Tearing & Choppy Frame Rate
Description The Gauntlet Legends and Dark Legacy games have what seems to be an incorrect frame rate. This does not appear to be the case in the other Vegas games. It's easiest to see on the full screen videos where you'll often see screen tearing towards the bottom. It does happen during gameplay, but usually towards the top of the screen. Occasionally the game will boot up without the issue on low res but I have not been able to achieve this on Medium or VGA res.

This is not a new issue caused by the recent changes to 3DFX games.
Steps To Reproduce Boot the game. You'll immediately notice the scrolling text is choppy and the videos have screen tearing. You can also note the screen tearing towards the top of the screen while moving quickly during gameplay.
Additional Information
Github Commit
Flags Noted in Source
Regression Version
Affected Sets / Systems gauntleg, gauntleg12, gauntdl, gauntdl24
Attached Files
png file icon gaunt.png (584,485 bytes) Aug 27, 2021, 00:32 Uploaded by mmarino4
Three screenshots from gauntdl. The first two show tearing at the bottom while the third shows it at the top during gameplay.
mmarino4
Relationships
There are no relationship linked to this issue.
Notes
7
User avatar
No.19189
mmarino4
Tester
Aug 30, 2021, 00:37
I have two save states I created in MAME 0.234 that can be found here (they are too big to directly post here):

https://drive.google.com/drive/folders/1C6VlAhJlBaZAh9d0hGG6S_N2xUKk0cvH?usp=sharing

The first save state is how the game occasionally boots in low res mode but not typically. Note the smooth scrolling text and lack of screen tearing on the full motion videos. When walking around in game, it is smooth and there is no screen tearing. The second save state is how it typically loads. Note the choppy text, screen tearing towards the bottom on all FMV's and generally choppy look and screen tearing when walking around during gameplay.

I have not been able to get the game to load smoothly on Medium Res or VGA. They will always have the issues and low res usually will but not always.
User avatar
No.19193
mmarino4
Tester
Aug 30, 2021, 02:27
If you press F11 the game will constantly flash 2 partial updates. If it loads correctly in low res mode this will not happen.
User avatar
No.19196
Haze
Senior Tester
Aug 30, 2021, 15:51
I do seem to remember seeing these games tearing on original hardware, but it's been a long time.
User avatar
No.19197
mmarino4
Tester
Aug 31, 2021, 11:15
I no longer have a machine in my area so I can't check but none of the videos taken on real hardware show the effects.

I was able to get the game to start correctly in the default medium res and created a save state in the folder I linked above (3.sta). I created this in 0.235. In all cases with my save states, once the game switches back to the attract screen after game over, the issues I've described typically return.
User avatar
No.19271
kirishima
Tester
Sep 20, 2021, 01:41
edited on: Sep 20, 2021, 01:42
Screen tearing happens on real hardware, here's a couple videos in low res mode where you can see it occasionally.






Edit: would've replied much sooner, but I was having login troubles for some time that seems to have recently resolved itself.
User avatar
No.19272
mmarino4
Tester
Sep 20, 2021, 02:29
The backgrounds all scroll smoothly in these real hardware videos. Try the game in MAME and run around the level. It won't be that smooth despite running at 100% the whole time. The screen tearing I see in MAME is on the bottom of the full motion videos and towards the top during gameplay. When it pops up in these videos its not consistent with that and could be related to the capture frame rate. Is this your footage?
User avatar
No.20057
tedgreen
Developer
Apr 15, 2022, 14:34
mmarino4, thanks for the testing, the partial update constantly showing really helped pinpoint the problem.
I spent some time trying different video and interrupt timing but in the end I found out that it was simply that the MIPS CPU was too slow. Increasing the frequency from 200MHz to 250MHz seems to alleviate the tearing.
I think this is actually a firmware feature as the firmware can detect that it is falling behind the video, and will switch to a non-vsync mode where it ignores the vblank interrupt and just sends game data as fast it can. So on real hardware that has the 200MHz MIPS cpu this is probably happening as well.
I switched the MIPS to 250MHz in the vegas machine for the gauntlet drivers.
https://github.com/mamedev/mame/commit/146b317c3f83bce747e15e47ce34cbb3f7796f9b